#!/bin/bash

set -e
set -o pipefail

chmod 600 /var/spool/cron/root
chmod 600 /etc/rsync.qd
sed -i -e '/pam_loginuid.so/s/^/#/' /etc/pam.d/crond
mkdir -p /log/resin-books/search /log/cron/ /home/book/preps/.java/.userPrefs
rm -rf /app/soft/resin-4.0.65/log/jvm-app-0.log
touch /home/book/preps/.java/.userPrefs/.user.lock.book
touch /home/book/preps/.java/.userPrefs/.userRootModFile.book
chown book:book -R  /data /app/soft/ /home/book/preps /log/
mkdir -p /data/logs
echo 'export JAVA_HOME=/usr/java/jdk1.8.0_271' >> /etc/profile
echo 'export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME/jre/lib' >> /etc/profile
echo 'export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH:$HOME/bin' >> /etc/profile
echo "ulimit -n 65535" >> /etc/profile
echo "ulimit -u 65535" >> /etc/profile
source /etc/profile

exec "$@"